WarpBuild LogoWarpBuild Docs
Audit

GET /audit-events

The organization's audit events, newest first. Organization admins and WarpBuild staff only.

GET
/audit-events

Authorization

Authorization<token>

In: header

Query Parameters

start_date?string

RFC 3339. Default: 30 days before end_date, or 30 days ago

end_date?string

RFC 3339. Default: no upper bound

actor_id?string

Actor id

actor_type?string

user, staff, service, runner or system

auth_method?string

session or api_key, for user actors

action?string

Action name, e.g. runner_set.updated

target_type?string

Target type, e.g. runner_set

target_id?string

Target id

source?string

backend-core or auth

outcome?string

success or denied

page?integer

Page number (default: 1)

per_page?integer

Items per page (default: 20, max: 100)

format?string

json or csv (default: json). csv downloads every matching event, newest first, up to 10000 rows; page and per_page are ignored

Response Body

curl -X GET "https://example.com/audit-events"
{  "items": [    {      "action": "string",      "actor": {        "id": "string",        "name": "string",        "type": "string"      },      "auth_method": "string",      "changes": {        "property1": {          "from": null,          "to": null        },        "property2": {          "from": null,          "to": null        }      },      "id": "string",      "ip": "string",      "method": "string",      "occurred_at": "string",      "organization_id": "string",      "outcome": "string",      "path": "string",      "request_id": "string",      "schema_version": 0,      "source": "string",      "status_code": 0,      "target": {        "id": "string",        "name": "string",        "type": "string"      },      "user_agent": "string"    }  ],  "next": 0,  "page": 0,  "per_page": 0,  "total_pages": 0,  "total_rows": 0}